.\"	$NetBSD: mountd.8,v 1.31 2005/09/23 12:10:35 jmmv Exp $
.\"
.\" Copyright (c) 1989, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)mountd.8	8.4 (Berkeley) 4/28/95
.\"
.Dd January 5, 2006
.Dt MOUNTD 8
.Os
.Sh NAME
.Nm mountd
.Nd service remote
.Tn NFS
mount requests
.Sh SYNOPSIS
.Nm
.Op Fl dNn
.Op Fl P Ar policy
.Op Fl p Ar port
.Op Ar exportsfile
.Sh DESCRIPTION
.Nm
is the server for
.Tn NFS
mount requests from other client machines.
.Nm
listens for service requests at the port indicated in the
.Tn NFS
server specification; see
.%T "Network File System Protocol Specification" ,
RFC 1094, Appendix A and
.%T "NFS: Network File System Version 3 Protocol Specification" ,
Appendix I.
.Pp
Options and operands available for
.Nm mountd :
.Bl -tag -width Ds
.It Fl d
Enable debugging mode.
.Nm
will not detach from the controlling terminal and will print
debugging messages to stderr.
.It Fl N
Do not require privileged ports for mount or NFS RPC calls.
This option is equivalent to specifying
.Dq -noresvport -noresvmnt
on every export.
See
.Xr exports 5
for more information.
.It Fl n
This flag used to indicate that clients were required to make requests
from reserved ports, but it is now no longer functional. It
is only provided for backwards compatibility. Requests
are checked for reserved ports on a per-export basis, see
.Xr exports 5 .
.It Fl P Ar policy
IPsec
.Ar policy
string,
as described in
.Xr ipsec_set_policy 3 .
Multiple IPsec policy strings may be specified by using a semicolon as
a separator. If conflicting policy strings are found in a single line,
the last string will take effect. If an invalid IPsec policy string is used
.Nm
logs an error message and terminates itself.
.It Fl p Ar port
Force
.Nm
to bind to the given port. If this
option is not given,
.Nm
may bind to every anonymous port
(in the range 600-1023) which causes trouble when trying to use
NFS through a firewall.
.It Ar exportsfile
The
.Ar exportsfile
argument specifies an alternative location
for the exports file.
.El
.Pp
When
.Nm
is started,
it loads the export host addresses and options into the kernel
using the
.Xr nfssvc 2
system call.
After changing the exports file,
a hangup signal should be sent to the
.Nm
daemon to get it to reload the export information.
After sending the SIGHUP
(kill \-s HUP `cat /var/run/mountd.pid`),
check the syslog output to see if
.Nm
logged any parsing errors in the exports file.
.Pp
After receiving SIGTERM,
.Nm
sends a broadcast request to remove the mount list from all the clients.
This can take a long time, since the broadcast request waits for each
client to respond.
.Sh FILES
.Bl -tag -width /var/run/mountd.pid -compact
.It Pa /etc/exports
the list of exported filesystems
.It Pa /var/run/mountd.pid
the pid of the currently running
.Nm
.It Pa /var/db/mountdtab
the list of remotely mounted filesystems
.El
.Sh SEE ALSO
.Xr nfsstat 1 ,
.Xr nfssvc 2 ,
.Xr exports 5 ,
.Xr nfsd 8 ,
.Xr rpcbind 8 ,
.Xr showmount 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Bx 4.4 .
